Public Member Functions | Public Attributes | Friends | List of all members
ClarisDrawTextInternal::ParagraphPLC Struct Reference

paragraph plc More...

## Public Member Functions
| ParagraphPLC ()
| constructor More...
int | getLabelType () const
| return the label type More...

## Public Attributes
int | m_rulerId
| the ruler id More...
int | m_flags
| some flags More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, ParagraphPLC const &info)
| operator<< More...

## Detailed Description

paragraph plc

## Constructor & Destructor Documentation

## ◆ ParagraphPLC()

ClarisDrawTextInternal::ParagraphPLC::ParagraphPLC | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ getLabelType()

int ClarisDrawTextInternal::ParagraphPLC::getLabelType | ( |  | ) | const
| inline

return the label type

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | ParagraphPLC const & | info
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_extra

std::string ClarisDrawTextInternal::ParagraphPLC::m_extra

extra data

## ◆ m_flags

int ClarisDrawTextInternal::ParagraphPLC::m_flags

some flags

Referenced by ClarisDrawText::readParagraphs().

## ◆ m_rulerId

int ClarisDrawTextInternal::ParagraphPLC::m_rulerId

the ruler id

Referenced by ClarisDrawText::readParagraphs().

The documentation for this struct was generated from the following file:

- ClarisDrawText.cxx